Bug 701344 - yum tracebacks when package with ® in name is installed
yum tracebacks when package with ® in name is installed
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
All Linux
high Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
: Patch
Depends On:
Blocks: 748850
  Show dependency treegraph
Reported: 2011-05-02 12:39 EDT by Calvin Locklear
Modified: 2014-01-21 01:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 748850 (view as bug list)
Last Closed: 2012-06-25 11:37:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
test rpm (1.45 KB, application/x-rpm)
2011-10-25 10:00 EDT, Michael Mráka
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 42643 None None None Never

  None (edit)
Description Calvin Locklear 2011-05-02 12:39:39 EDT
Description of problem:  Unable to update a system from satellite with Adobe®_LiveCycle® products installed.  Getting errors: While running 'registration.update_packages': caught
exceptions.UnicodeEncodeError : 'ascii' codec can't encode character u'\xae' in position 5: ordinal not in range(128)

Version-Release number of selected component (if applicable): RHN 5.4

How reproducible:

Steps to Reproduce:
1.  Register system to satellite.
2.  Install packages to system with ® in name.(example Adobe®_LiveCycle®)
3.  Attempt to update system using 'yum update'. 
Actual results:
Getting error:  Error communicating with server. The message was:
While running 'registration.update_packages': caught
exceptions.UnicodeEncodeError : 'ascii' codec can't encode character u'\xae' in position 5: ordinal not in range(128)

Expected results:
All packages on system should be updated to packages on satellite.

Additional info:
Comment 13 Michael Mráka 2011-10-25 10:00:38 EDT
Created attachment 530099 [details]
test rpm

Rpm to reproduce the bug.
Comment 14 James Antill 2011-10-25 12:18:21 EDT
 I think we need a _really_ good reason to not just close this as Not a Bug:

1. None of our tools have been tested with utf-8 package names.

2. It's not possible to create them with rpmbuild, and Fedora/RHEL wouldn't allow them if this was fixed (due to #1).

3. We already support utf-8 in summary/description, so the "feature" we get by supporting this seems very minimal .

4. The number of fixes required is likely _huge_. Just as an example, we rely on len(pkg.name) == width of string on screen and using things like %*.*s on it ... converting all of those to utf8_width() and utf8_chop() etc. is going to be a lot of work (and has layering problems). And that's _just_ yum+urlgrabber.

...it _might_ be worth fixing up "yum install blah.rpm" to nicely reject pkgs. with utf-8 in their name, but I'm not convinced of that either as it'll get zero testing in the future.
Comment 15 RHEL Product and Program Management 2011-10-30 01:47:31 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 16 Jeremy West 2012-06-25 11:37:03 EDT
GSS: per comment #14, let's file an RFE to extend the UTF-8 support outside of just the summary/description.  I'm going to close this bug so that we can focus on higher priority items.

Note You need to log in before you can comment on or make changes to this bug.